## zmailer-2.99.57.tar.gz

=== Makefile ===
# Master Makefile for the ZMailer

# From  configure.in  !
VERSION   =  2.99.57
BUGREPORT = "zmhack@nic.funet.fi"


srcdir = .



DESTDIR=
prefix=

ZCONFIG = /opt/mail/zmailer.conf
ZCONF   = ./zmailer.Config
#ZDEPEND = Dependencies
CPPDEP  =  gcc -MM
MKDIR   =  mkdir -p
MAILBIN =  $(DESTDIR)/opt/mail/bin

SHELL = /bin/sh

DISTFILES = COPYING COPYING.LIB ChangeLog Makefile.in README INSTALL \
NEWS configure configure.in config.h.in mkinstalldirs install-sh \
stamp-h.in acconfig.h

# Redundant stuff for making only selected programs.
PROGS	= router/router router/zrfilter/zrfilter scheduler/scheduler	\
	scheduler/mailq smtpserver/smtpserver transports/-ok	\
	compat/rmail/rmail compat/sendmail/sendmail		\
	utils/vacation/vacation utils/makedb/makedb

# Subdirectories to run make in for the primary targets.
SUBDIRS =  smtpserver router router/zrfilter scheduler transports compat utils
# Subdirectories where to run 'make clean'
MOREDIRS = libs lib libc libsh libident libmalloc libresolv ssl \
	   proto doc man
MOREDIRS2 = sfio
# Files to remove in cleanup
CLEANFILES = include/rfc822.entry $(ZCONF) version.c

DISTCLEANFILES = include/mail.h SiteConfig bin/mklibdeb bin/mkdeb	\
		utils/zmailer.init.sh	proto/cf/SMTP+UUCP.cf	\
		proto/cf/TELE-FI.cf	proto/cf/UTdefault.cf	\
		proto/db/aliases				\
		man/Makefile		proto/db/Makefile	\
		bin/mkdep		bin/mklibdep

#.SUFFIXES:

all: config.h Makefile rfc822.entry $(ZCONF) SiteConfig \
     libs/libtag include/sfio.h
	#rm -f libs/libtag
	for subdir in $(SUBDIRS); do \
		echo making $@ in $$subdir; \
		(cd $$subdir && $(MAKE) $(MFLAGS) $@) || exit 1; \
	done

#	If need be, "make libs" at the top-level will remake all libraries

include/sfio.h libs/libtag libs: force
	cd libs && $(MAKE) $(MFLAGS) all


info dvi:
	cd doc && $(MAKE) $@

check:
installcheck:


rfc822.entry: include/rfc822.entry

include/rfc822.entry:
	cd router ; $(MAKE) $(MFLAGS) rfc822.entry

install-cf:	# all
	@if [ -n "${prefix}" -a -z "${DESTDIR}" ] ; then echo "INSTEAD OF  prefix=  PLEASE INSTALL WITH:  DESTDIR=.. parameter"; exit 1; fi
	@. $(ZCONF) ; if [ -f $$ZCONFIG ] ; then	\
	 cmp -s $(ZCONF) $(DESTDIR)$$ZCONFIG ||		\
	   echo "**" && echo "** Please consider copying $(ZCONF) to $$ZCONFIG !" && echo "**";\
	else						\
		cp $(ZCONF) $(DESTDIR)$$ZCONFIG; chmod 644 $(DESTDIR)$$ZCONFIG; \
	fi
	cd proto ;	$(MAKE) $(MFLAGS) cf

install-bin:	# all
	@if [ -n "${prefix}" -a -z "${DESTDIR}" ] ; then echo "INSTEAD OF  prefix=  PLEASE INSTALL WITH:  DESTDIR=.. parameter"; exit 1; fi
	. $(ZCONF) ; zdir=`echo $$ZCONFIG|sed -e 's!\(.*\)/\([^/]*\)!\1/!'`; $(MKDIR) $(DESTDIR)$$zdir
	@. $(ZCONF) ; if [ -f $$ZCONFIG ] ; then	\
	 cmp -s $(ZCONF) $(DESTDIR)$$ZCONFIG ||		\
	   echo "**" && echo "** Please consider copying $(ZCONF) to $$ZCONFIG !" && echo "**";\
	else						\
		cp $(ZCONF) $(DESTDIR)$$ZCONFIG; chmod 644 $(DESTDIR)$$ZCONFIG; \
	fi
	@. $(ZCONF) ; cp $(srcdir)/ChangeLog $(DESTDIR)$$MAILSHARE/ChangeLog ; chmod 644 $(DESTDIR)$$MAILSHARE/ChangeLog
	@. $(ZCONF) ; cp ./config.status $(DESTDIR)$$MAILSHARE/config.status ; chmod 644 $(DESTDIR)$$MAILSHARE/config.status
	cd proto ;      $(MAKE) $(MFLAGS) install-bin  PZCONFIG="../$(ZCONF)"
	cd compat ;     $(MAKE) $(MFLAGS) install
	cd router ;     $(MAKE) $(MFLAGS) install
	cd router/zrfilter ;     $(MAKE) $(MFLAGS) install
	cd scheduler ;  $(MAKE) $(MFLAGS) install
	cd smtpserver ; $(MAKE) $(MFLAGS) install
	cd transports ; $(MAKE) $(MFLAGS) install
	cd libc ;       $(MAKE) $(MFLAGS) install
	cd utils ;      $(MAKE) $(MFLAGS) install
	@. $(ZCONF) ; if [ -f $$ZCONFIG ] ; then	\
	 cmp -s $(ZCONF) $(DESTDIR)$$ZCONFIG ||		\
	   echo "**" && echo "** Please consider copying $(ZCONF) to $$ZCONFIG !" && echo "**";\
	else						\
		cp $(ZCONF) $(DESTDIR)$$ZCONFIG; chmod 644 $(DESTDIR)$$ZCONFIG; \
	fi
	$(MAKE) $(MFLAGS) post-install-note

dirs:
	@cd proto ; $(MAKE) $(MFLAGS) dirs PZCONFIG="../$(ZCONF)"

install:
	@if [ -n "${prefix}" -a -z "${DESTDIR}" ] ; then echo "INSTEAD OF  prefix=  PLEASE INSTALL WITH:  DESTDIR=.. parameter"; exit 1; fi
	$(MAKE) $(MFLAGS) dirs # all
	@. $(ZCONF) ; zdir=`echo $$ZCONFIG|sed -e 's!\(.*\)/\([^/]*\)!\1/!'`; $(MKDIR) $(DESTDIR)$$zdir
	@. $(ZCONF) ; cp $(ZCONF) $(DESTDIR)$$ZCONFIG ; chmod 644 $(DESTDIR)$$ZCONFIG
	@. $(ZCONF) ; cp $(srcdir)/ChangeLog $(DESTDIR)$$MAILSHARE/ChangeLog ; chmod 644 $(DESTDIR)$$MAILSHARE/ChangeLog
	@. $(ZCONF) ; cp ./config.status $(DESTDIR)$$MAILSHARE/config.status ; chmod 644 $(DESTDIR)$$MAILSHARE/config.status
	@cd proto ;      $(MAKE) $(MFLAGS) install  PZCONFIG="../$(ZCONF)"
	@cd compat ;     $(MAKE) $(MFLAGS) install
	@cd router ;     $(MAKE) $(MFLAGS) install
	@cd router/zrfilter ;     $(MAKE) $(MFLAGS) install
	@cd scheduler ;  $(MAKE) $(MFLAGS) install
	@cd smtpserver ; $(MAKE) $(MFLAGS) install
	@cd transports ; $(MAKE) $(MFLAGS) install
	@cd libc  ;      $(MAKE) $(MFLAGS) install
	@cd utils ;      $(MAKE) $(MFLAGS) install
	$(MAKE) $(MFLAGS) post-install-note

post-install-note:
	if test "$(DESTDIR)" = "" ; then $(MAKE) $(MFLAGS) post-install-text ; fi
	if test "$(DESTDIR)" != "" ; then $(MAKE) $(MFLAGS) post-install-text-dd ; fi

post-install-text:
	@echo ">>>> "
	@echo ">>>> Please do run $(MAILBIN)/post-install"
	@echo ">>>> "
post-install-text-dd:
	@echo ">>>> "
	@echo ">>>> Please do run $(MAILBIN)/post-install --destdir $(DESTDIR)"
	@echo ">>>> "

router/router:
	cd router ; $(MAKE) $(MFLAGS) router-a

router/zrfilter/zrfilter:
	cd router/zrfilter ; $(MAKE) $(MFLAGS) zrfilter-a

scheduler/scheduler:
	cd scheduler ; $(MAKE) $(MFLAGS) all

scheduler-old/scheduler-old:
	cd scheduler-old ; $(MAKE) $(MFLAGS) all

scheduler/mailq:
	cd scheduler ; $(MAKE) $(MFLAGS) all

smtpserver/smtpserver:
	cd smtpserver ; $(MAKE) $(MFLAGS) smtpserver-a

compat/rmail/rmail:
	cd compat ; $(MAKE) $(MFLAGS) rmail/rmail-always

compat/sendmail/sendmail:
	cd compat ; $(MAKE) $(MFLAGS) sendmail/sendmail-always

utils/vacation/vacation:
	cd utils/vacation ; $(MAKE) $(MFLAGS) vacation

utils/makedb/makedb:
	cd utils/makedb ; $(MAKE) $(MFLAGS)

lib/libz.a: lib/*.c
	cd lib ; $(MAKE) $(MFLAGS)

libc/libzc.a: libc/*.c
	cd libc ; $(MAKE) $(MFLAGS)

libauth/libauth.a: libauth/authuser.c libauth/authuser.h
	cd libauth; $(MAKE) $(MFLAGS)

libresolv/libresolv.a: libresolv/*.c
	cd libresolv; $(MAKE) $(MFLAGS)

transports/libta/libta.a: transports/libta/*.c
	cd transports/libta ; $(MAKE) $(MFLAGS)

transports/-ok:
	cd transports ; $(MAKE) $(MFLAGS)

mostlyclean: mostlyclean-recursive mostlyclean-local

clean: clean-recursive clean-local

distclean: distclean-recursive distclean-local
	: rm config.status

realclean: realclean-recursive realclean-local
	: rm config.status

TAGS clean-recursive distclean-recursive realclean-recursive mostlyclean-recursive:
	for subdir in $(SUBDIRS) $(MOREDIRS) $(MOREDIRS2); do \
	  target=`echo $@|sed 's/-recursive//'`; \
	  echo making $$target in $$subdir; \
	  (cd $$subdir && $(MAKE) $(MFLAGS) $$target) || exit 1; \
	done
	rm -f $(CLEANFILES)

mostlyclean-local:

clean-local: mostlyclean-local
	-tt=`find . "(" -name "*~" -o -name "*.log" -o -name "*.orig" ")" -print` && \
		rm -f clean.state $$tt

clean-version:
	-rm -f `find . -name version.c -print | egrep -v libmalloc` dummy.name
	-rm -f `find . -name revision -print ` dummy.name

distclean-local: clean-local clean-version
	rm -f config.cache config.h config.log stamp-h distname
	rm -rf autom4te.cache
	rm -f $(DISTCLEANFILES)

realclean-local: distclean-local

neat:
	-rm -f $(ZCONF) $(CONF).sed eddep makedep Makefile.bak *.tar

scrub:	distclean
	-rm -f make.log make.out make.err* errs

scrub-obsolete-tail:
	# No null entry at all, let it be generated into proper form
	# when real processing goes thru..
	# @echo 'typedef enum { nilHeaderSemantics = -1 } HeaderSemantics;' > include/rfc822.entry

dist:
	@echo 'Did you run "make scrub" first?' ; sleep 2
	chmod -R a+rX .
	find . -type l -o -type d -o -type f -print | \
	  egrep -v -e '/(private[/$$]|config.cache|config.status|CVS[/$$]|RCS[/$$]|ID$$|.*\.o$$|fc[/$$]|.*\.a$$|stamp)' | \
	  CWD=`pwd` sed -e '/\.tar.*/d' -e "s/^\./`sh -c 'basename \`pwd\`'`/" | \
	  sort -t/ > MANIFEST
	cp MANIFEST /tmp
	(cd .. ; tar cvf - `cat /tmp/MANIFEST` ) > `basename \`pwd\``.tar
	rm -f /tmp/MANIFEST #MANIFEST

distprivate:
	@echo 'Did you run "make scrub" first?' ; sleep 2
	chmod -R a+rX .
	find . -type l -o -type d -o -type f -print | \
	  egrep -v -e '/(config.cache|config.status|CVS[/$$]|RCS[/$$]|ID$$|.*\.o$$|fc[/$$]|.*\.a$$|stamp)' | \
	  CWD=`pwd` sed -e '/\.tar.*/d' -e "s/^\./`sh -c 'basename \`pwd\`'`/" | \
	  sort -t/ > MANIFEST
	cp MANIFEST /tmp
	(cd .. ; tar cvf - `cat /tmp/MANIFEST` ) > `basename \`pwd\``.tar
	rm -f /tmp/MANIFEST #MANIFEST

dist-usa:
	@echo 'Did you run "make scrub" first?' ; sleep 2
	chmod -R a+rX .
	./bin/usa-itar-stripper.sh
	find . -type d -o -type f -print | \
	  egrep -v -e '/(private[/$$]|config.cache|crypto|config.status|CVS[/$$]|RCS[/$$]|ID$$|.*\.o$$|fc[/$$]|.*\.a$$|stamp)' | \
	  CWD=`pwd` sed -e '/\.tar.*/d' -e "s/^\./`sh -c 'basename \`pwd\`'`/" | \
	  sort -t/ > MANIFEST
	cp MANIFEST /tmp
	(cd .. ; tar cvf - `cat /tmp/MANIFEST` ) > `basename \`pwd\``-usa.tar
	./bin/usa-itar-stripper.sh reverse
	mv crypto.diff crypto-`basename \`pwd\``.diff
	rm -f /tmp/MANIFEST #MANIFEST


# For the justification of the following Makefile rules, see node
# `Automatic Remaking' in GNU Autoconf documentation.

SiteConfig Makefile: config.status Makefile.in
	CONFIG_FILES=$@ CONFIG_HEADERS= ./config.status

config.h: stamp-h
stamp-h: config.status $(srcdir)/config.h.in
	CONFIG_FILES= CONFIG_HEADERS=config.h ./config.status

config.status: configure
	./config.status --recheck
#
# The GNU autoconf guide says: have following condition, however
# not all systems have "autoconf", and thus people pulling this
# package from CVS are getting serious problems -- or have to
# "touch configure" after the CVS pull.
#
#configure: configure.in
#	cd $(srcdir) && autoconf


#
# Doing all parts of multistage autoconf process:
#
autoconf:
	aclocal -I m4/
	autoconf
	autoheader

config.h.in: stamp-h.in
stamp-h.in: configure.in
# 	cd $(srcdir) && autoheader
# # Use echo instead of date to avoid spurious conflicts for
# # people who use CVS, since stamp-h.in is distributed.
# 	echo > $(srcdir)/$@

$(ZCONF):	SiteConfig
	(echo '# Do not edit this file, instead edit '`pwd`'/SiteConfig.in file'; \
	cat SiteConfig | \
	sed -n	-e '/^\([a-zA-Z][^ 	]*\)[ 	]*=[ 	]*\(.*\)[ 	]*$$/!d' \
		-e 's/^\([^ 	]*\)[ 	]*=[ 	]*\(.*\)[ 	]*$$/\1="\2"/' \
		-e 's/^\([^=]*\)=""\(.*\)""$$/\1="\2"/'	\
		-e 's/^\([^=]*\)="\([^ 	]*\)"$$/\1=\2/'			\
		-e p	) > $@
# The sed-patterns above do:
#  - match sh-variable set expression, discard all else
#  - pick the variable name, and the parameter string and form up
#    an expression:   VAR="DATA"
#  - if the newly made expression has double quotes (because the input
#    was quoted), remove the extra quotes
#  - if a value is quoted, and it does not have white-space in it, strip
#    the quotes away
#  - and as always with sed, "p" in the end to output the result

#OLD OLD OLD OLD OLD OLD OLD OLD OLD OLD OLD OLD OLD OLD
# $(ZCONF):	SiteConfig
# 	(echo '# Do not edit this file, instead edit '`pwd`'/SiteConfig.in file'; \
# 	cat SiteConfig | \
# 	sed -n  -e '/^[^ 	]*=[ 	]*[^#].*/!d' \
# 		-e 's:^\([^ 	]*\)=[ 	]*\([^#].*\):\1=\2:' \
# 		-e 's:=\([^# 	]*[ 	][^#]*\)\(.*\):="\1"\2:' \
# 		-e 's:\([ 	][ 	]*\)":"\1:' \
# 		-e 's:"\([^ 	]*\)":\1:' -e 's:""::' -e p   ) > $@

force:

version.c: force # Makefile
	@sh -c ': $${USER=$${LOGNAME-root}} ; \
	REVISION=`cat revision 2>/dev/null || (echo 0 | tee revision)` ; \
	HOSTNAME=`(/bin/hostname || /bin/uname) 2>/dev/null` ; \
	case "$$REVISION" in \
	[0-9]|[0-9][0-9]|[0-9][0-9][0-9]) \
		REVISION=`expr $$REVISION + 1` ;; \
	*)	REVISION=0 ;; \
	esac ; \
	echo $$REVISION > revision ; \
	exec > version.c ; \
	echo "const char *Version = \"${VERSION} #$${REVISION}: `date`\";"; \

=== intl/Makefile ===
# Makefile for directory with message catalog handling in GNU NLS Utilities.
# Copyright (C) 1995-1998, 2000-2002 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU Library General Public License as published
# by the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA.

PACKAGE = @PACKAGE@
VERSION = @VERSION@



SHELL = /bin/sh

srcdir = .
top_srcdir = ..
top_builddir = ..


prefix = /opt/mail
exec_prefix = ${prefix}
transform = s,x,x,
libdir = ${exec_prefix}/lib
includedir = ${prefix}/include
datadir = ${prefix}/share
localedir = $(datadir)/locale
gettextsrcdir = $(datadir)/gettext/intl
aliaspath = $(localedir)
subdir = intl

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = ./mkinstalldirs
mkinstalldirs = $(SHELL) `case "$(MKINSTALLDIRS)" in /*) echo "$(MKINSTALLDIRS)" ;; *) echo "$(top_builddir)/$(MKINSTALLDIRS)" ;; esac`

l = @INTL_LIBTOOL_SUFFIX_PREFIX@

AR = ar
CC = gcc
LIBTOOL = @LIBTOOL@
RANLIB = ranlib
YACC = @INTLBISON@ -y -d
YFLAGS = --name-prefix=__gettext

DEFS = -DLOCALEDIR=\"$(localedir)\" -DLOCALE_ALIAS_PATH=\"$(aliaspath)\" \
-DLIBDIR=\"$(libdir)\" -DIN_LIBINTL -DHAVE_CONFIG_H
CPPFLAGS = 
CFLAGS = -g -O2
LDFLAGS = 

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

HEADERS = $(COMHDRS) libgnuintl.h loadinfo.h
COMHDRS = gmo.h gettextP.h hash-string.h plural-exp.h eval-plural.h os2compat.h
SOURCES = $(COMSRCS) intl-compat.c
COMSRCS = bindtextdom.c dcgettext.c dgettext.c gettext.c \
finddomain.c loadmsgcat.c localealias.c textdomain.c l10nflist.c \
explodename.c dcigettext.c dcngettext.c dngettext.c ngettext.c plural.y \
plural-exp.c localcharset.c localename.c osdep.c os2compat.c
OBJECTS = @INTLOBJS@ bindtextdom.$lo dcgettext.$lo dgettext.$lo gettext.$lo \
finddomain.$lo loadmsgcat.$lo localealias.$lo textdomain.$lo l10nflist.$lo \
explodename.$lo dcigettext.$lo dcngettext.$lo dngettext.$lo ngettext.$lo \
plural.$lo plural-exp.$lo localcharset.$lo localename.$lo osdep.$lo
GETTOBJS = intl-compat.$lo
DISTFILES.common = Makefile.in \
config.charset locale.alias ref-add.sin ref-del.sin $(HEADERS) $(SOURCES)
DISTFILES.generated = plural.c
DISTFILES.normal = VERSION
DISTFILES.gettext = COPYING.LIB-2.0 COPYING.LIB-2.1 libintl.glibc
DISTFILES.obsolete = xopen-msg.sed linux-msg.sed po2tbl.sed.in cat-compat.c \
COPYING.LIB-2 gettext.h libgettext.h plural-eval.c

# Libtool's library version information for libintl.
# Before making a gettext release, the gettext maintainer must change this
# according to the libtool documentation, section "Library interface versions".
# Maintainers of other packages that include the intl directory must *not*
# change these values.
LTV_CURRENT=4
LTV_REVISION=0
LTV_AGE=2

.SUFFIXES:
.SUFFIXES: .c .y .o .lo .sin .sed
.c.o:
	$(COMPILE) $<
.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) $<

.y.c:
	$(YACC) $(YFLAGS) --output $@ $<
	rm -f $*.h

.sin.sed:
	sed -e '/^#/d' -e 's/@''PACKAGE''@/@PACKAGE@/g' $< > t-$@
	mv t-$@ $@

INCLUDES = -I.. -I. -I$(top_srcdir)/intl

all: all-@USE_INCLUDED_LIBINTL@
all-yes: libintl.$la libintl.h charset.alias ref-add.sed ref-del.sed
all-no: all-no-@BUILD_INCLUDED_LIBINTL@
all-no-yes: libgnuintl.$la
all-no-no:

libintl.a libgnuintl.a: $(OBJECTS)
	rm -f $@
	$(AR) cru $@ $(OBJECTS)
	$(RANLIB) $@

libintl.la libgnuintl.la: $(OBJECTS)
	$(LIBTOOL) --mode=link \
	  $(CC) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS) $(LDFLAGS) -o $@ \
	  $(OBJECTS) -liconv -lc \
	  -version-info $(LTV_CURRENT):$(LTV_REVISION):$(LTV_AGE) \
	  -rpath $(libdir) \
	  -no-undefined

libintl.h: libgnuintl.h
	cp $(srcdir)/libgnuintl.h libintl.h

charset.alias: config.charset
	$(SHELL) $(srcdir)/config.charset 'x86_64-unknown-linux-gnu' > t-$@
	mv t-$@ $@

check: all

# This installation goal is only used in GNU gettext.  Packages which
# only use the library should use install instead.

# We must not install the libintl.h/libintl.a files if we are on a
# system which has the GNU gettext() function in its C library or in a
# separate library.
# If you want to use the one which comes with this version of the
# package, you have to use `configure --with-included-gettext'.
install: install-exec install-data
install-exec: all
	if test "$(PACKAGE)" = "gettext" \
	   && test '@INTLOBJS@' = '$(GETTOBJS)'; then \
	  $(mkinstalldirs) $(DESTDIR)$(libdir) $(DESTDIR)$(includedir); \
	  $(INSTALL_DATA) libintl.h $(DESTDIR)$(includedir)/libintl.h; \
	  $(LIBTOOL) --mode=install \
	    $(INSTALL_DATA) libintl.$la $(DESTDIR)$(libdir)/libintl.$la; \
	else \
	  : ; \
	fi
	if test '@USE_INCLUDED_LIBINTL@' = yes; then \
	  test @GLIBC21@ != no || $(mkinstalldirs) $(DESTDIR)$(libdir); \
	  temp=$(DESTDIR)$(libdir)/t-charset.alias; \
	  dest=$(DESTDIR)$(libdir)/charset.alias; \
	  if test -f $(DESTDIR)$(libdir)/charset.alias; then \
	    orig=$(DESTDIR)$(libdir)/charset.alias; \
	    sed -f ref-add.sed $$orig > $$temp; \
	    $(INSTALL_DATA) $$temp $$dest; \
	    rm -f $$temp; \
	  else \
	    if test @GLIBC21@ = no; then \
	      orig=charset.alias; \
	      sed -f ref-add.sed $$orig > $$temp; \
	      $(INSTALL_DATA) $$temp $$dest; \
	      rm -f $$temp; \
	    fi; \
	  fi; \
	  $(mkinstalldirs) $(DESTDIR)$(localedir); \
	  test -f $(DESTDIR)$(localedir)/locale.alias \
	    && orig=$(DESTDIR)$(localedir)/locale.alias \
	    || orig=$(srcdir)/locale.alias; \
	  temp=$(DESTDIR)$(localedir)/t-locale.alias; \
	  dest=$(DESTDIR)$(localedir)/locale.alias; \
	  sed -f ref-add.sed $$orig > $$temp; \
	  $(INSTALL_DATA) $$temp $$dest; \
	  rm -f $$temp; \
	else \
	  : ; \
	fi
install-data: all
	if test "$(PACKAGE)" = "gettext"; then \
	  $(mkinstalldirs) $(DESTDIR)$(gettextsrcdir); \
	  $(INSTALL_DATA) VERSION $(DESTDIR)$(gettextsrcdir)/VERSION; \
	  $(INSTALL_DATA) ChangeLog.inst $(DESTDIR)$(gettextsrcdir)/ChangeLog; \
	  dists="COPYING.LIB-2.0 COPYING.LIB-2.1 $(DISTFILES.common)"; \
	  for file in $$dists; do \
	    $(INSTALL_DATA) $(srcdir)/$$file \
			    $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	  chmod a+x $(DESTDIR)$(gettextsrcdir)/config.charset; \
	  dists="$(DISTFILES.generated)"; \
	  for file in $$dists; do \
	    if test -f $$file; then dir=.; else dir=$(srcdir); fi; \
	    $(INSTALL_DATA) $$dir/$$file \
			    $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	  dists="$(DISTFILES.obsolete)"; \
	  for file in $$dists; do \
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi

install-strip: install

installdirs:
	if test "$(PACKAGE)" = "gettext" \
	   && test '@INTLOBJS@' = '$(GETTOBJS)'; then \
	  $(mkinstalldirs) $(DESTDIR)$(libdir) $(DESTDIR)$(includedir); \
	else \
	  : ; \
	fi
	if test '@USE_INCLUDED_LIBINTL@' = yes; then \
	  test @GLIBC21@ != no || $(mkinstalldirs) $(DESTDIR)$(libdir); \
	  $(mkinstalldirs) $(DESTDIR)$(localedir); \
	else \
	  : ; \
	fi
	if test "$(PACKAGE)" = "gettext"; then \
	  $(mkinstalldirs) $(DESTDIR)$(gettextsrcdir); \
	else \
	  : ; \
	fi

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	if test "$(PACKAGE)" = "gettext" \
	   && test '@INTLOBJS@' = '$(GETTOBJS)'; then \
	  rm -f $(DESTDIR)$(includedir)/libintl.h; \
	  $(LIBTOOL) --mode=uninstall \
	    rm -f $(DESTDIR)$(libdir)/libintl.$la; \
	else \
	  : ; \
	fi
	if test '@USE_INCLUDED_LIBINTL@' = yes; then \
	  if test -f $(DESTDIR)$(libdir)/charset.alias; then \
	    temp=$(DESTDIR)$(libdir)/t-charset.alias; \
	    dest=$(DESTDIR)$(libdir)/charset.alias; \
	    sed -f ref-del.sed $$dest > $$temp; \
	    if grep '^# Packages using this file: $$' $$temp > /dev/null; then \
	      rm -f $$dest; \
	    else \
	      $(INSTALL_DATA) $$temp $$dest; \
	    fi; \
	    rm -f $$temp; \
	  fi; \
	  if test -f $(DESTDIR)$(localedir)/locale.alias; then \
	    temp=$(DESTDIR)$(localedir)/t-locale.alias; \
	    dest=$(DESTDIR)$(localedir)/locale.alias; \
	    sed -f ref-del.sed $$dest > $$temp; \
	    if grep '^# Packages using this file: $$' $$temp > /dev/null; then \
	      rm -f $$dest; \
	    else \
	      $(INSTALL_DATA) $$temp $$dest; \
	    fi; \
	    rm -f $$temp; \
	  fi; \
	else \
	  : ; \
	fi
	if test "$(PACKAGE)" = "gettext"; then \
	  for file in VERSION ChangeLog COPYING.LIB-2.0 COPYING.LIB-2.1 $(DISTFILES.common) $(DISTFILES.generated); do \
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi

info dvi:

$(OBJECTS): ../config.h libgnuintl.h
bindtextdom.$lo dcgettext.$lo dcigettext.$lo dcngettext.$lo dgettext.$lo dngettext.$lo finddomain.$lo gettext.$lo intl-compat.$lo loadmsgcat.$lo localealias.$lo ngettext.$lo textdomain.$lo: gettextP.h gmo.h loadinfo.h
dcigettext.$lo: hash-string.h
explodename.$lo l10nflist.$lo: loadinfo.h
dcigettext.$lo loadmsgcat.$lo plural.$lo plural-exp.$lo: plural-exp.h
dcigettext.$lo: eval-plural.h

tags: TAGS

TAGS: $(HEADERS) $(SOURCES)
	here=`pwd`; cd $(srcdir) && etags -o $$here/TAGS $(HEADERS) $(SOURCES)

id: ID

ID: $(HEADERS) $(SOURCES)
	here=`pwd`; cd $(srcdir) && mkid -f$$here/ID $(HEADERS) $(SOURCES)


mostlyclean:
	rm -f *.a *.la *.o *.lo core core.*
	rm -f libintl.h charset.alias ref-add.sed ref-del.sed
	rm -f -r .libs _libs

clean: mostlyclean

distclean: clean
	rm -f Makefile ID TAGS
	if test "$(PACKAGE)" = gettext; then \
	  rm -f ChangeLog.inst $(DISTFILES.normal); \
	else \
	  : ; \
	fi

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."


# GNU gettext needs not contain the file `VERSION' but contains some
# other files which should not be distributed in other packages.
distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: Makefile
	if test "$(PACKAGE)" = gettext; then \
	  additional="$(DISTFILES.gettext)"; \
	else \
	  additional="$(DISTFILES.normal)"; \
	fi; \
	$(MAKE) $(DISTFILES.common) $(DISTFILES.generated) $$additional; \
	for file in ChangeLog $(DISTFILES.common) $(DISTFILES.generated) $$additional; do \
	  if test -f $$file; then dir=.; else dir=$(srcdir); fi; \
	  cp -p $$dir/$$file $(distdir); \
	done

Makefile: Makefile.in ../config.status
	cd .. \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== doc/manual/Makefile ===
#
# GNU-Makefile for ZMailer manual
#

VERSION = "v1.99.26"

#
#  Utilizing DocBook 3.1, Structured Stylesheets, DSSSL, openjade-1.3.1
#
#  All relevant bits are available at for example in redhat 7.1 beta
#  as RPM packages (February 2001)
#
#  When your "make pdf" run complains about running out of some resource
#  in TeX, go and edit file:  /usr/share/texmf/web2c/texmf.cnf
#  which tunes TeX startup array sizes.
#  At least:
#     save_size = 30000       % for saving values outside current group
#  and:
#     % Max number of characters in all strings, including all error messages,
#     % help texts, font names, control sequences.  These values apply to TeX and MP.
#     pool_size.context = 750000
#     pool_size.jadetex = 750000
#     pool_size = 750000
#     % Minimum pool space after TeX/MP's own strings; must be at least
#     % 25000 less than pool_size, but doesn't need to be nearly that large.
#     string_vacancies.context = 55000
#     string_vacancies = 35000
#     % Maximum number of strings.
#     max_strings.context = 65000
#     max_strings.jadetex = 65000
#     max_strings = 35000
#

# We run LOCAL version of Jade Wrapper (jw), which needs PATH with leading dot
PATH := .:${PATH}

PARTS=	zmanual.sgml		zmanual-cover.sgml		\
	zadministration.sgml    zref-router.sgml		\
	zapp-filefmts.sgml      zref-scheduler.sgml		\
	zapp-listmgrs.sgml      zref-sendmail.sgml		\
	zapp-scripts.sgml       zref-smtpserver.sgml		\
	zapp-ssl-lang.sgml      zref-transport-agents.sgml	\
	zapp-tragents.sgml      zref-utilities.sgml		\
	zinstall.sgml           zref-zmailer3.sgml		\
	zreference.sgml		zref-rmail.sgml			\
	ztutorial.sgml		zappendices.sgml		\
	zadm-dnsissues.sgml	zadm-router.sgml		\
	zadm-transport-agents.sgml zadm-logging.sgml		\
	zadm-scheduler.sgml	zadm-smtpserver.sgml		\
	zadm-queues.sgml	zadm-security.sgml		\
	zapp-rfc821.sgml	zapp-rfc821.sgml		\
	zmanual.dsl

FIGS   :=	msgmodl.fig msgrout.fig zmailer-logo.fig \
		zmdirs.fig zmprocs.fig zmprocs-smtps.fig \
		zmprocs-router.fig zmprocs-scheduler.fig \
		zmprocs-tragents.fig zadm-sch-threads.fig \
		zmsched1.fig smtpserver-processes.fig

.SUFFIXES: .eps .pdf .ps .gif .fig .gif-green .png

FIGEPS :=	$(FIGS:%.fig=%.eps)
FIGPDF :=	$(FIGS:%.fig=%.pdf)
FIG_PS :=	$(FIGS:%.fig=%.ps)
FIGGIF :=	$(FIGS:%.fig=%.gif)

# set and export TEXINPUTS
TEXINPUTS=$(LATEX2HTMLLIB):$(LINUXDOCLIB):$$TEXINPUTS:
TEXENV=  TEXINPUTS=$(TEXINPUTS);export TEXINPUTS;

GIFS = $(L2HGIFS) zmailer-logo2.gif

all:
	@echo "make tag choices: clean dist html dvi ps pdf"

dvi:	zmanual.dvi
ps:	zmanual.ps
pdf:	zmanual.pdf
html:	zmanual.html
dist:	manual_parts.tar.gz

zmailer-logo2.gif zlogo: zmailer-logo2.gif-green
	cp -p zmailer-logo2.gif-green zmailer-logo2.gif

zmailer-logo2.gif-green: zmailer-logo.ps

gifs: $(FIGGIF)

$(L2HGIFS):

z-version.txt: ${PARTS} ${FIGS}
	echo "${VERSION}.`TZ=UTC date +%Y%m%d%H%M`" > z-version.txt


OJCAT = /usr/share/sgml/openjade-1.3.2/catalog

publish: zmanual.pdf zmanual.html 
	rm -rf /home/httpd/zmailer/html/zman/*
	cp -a zmanual/. /home/httpd/zmailer/html/zman/
	cp zmanual.pdf  /home/httpd/zmailer/html/zman/

zmanual.html: zmanual/zmanual.shtml

zmanual/zmanual.shtml: gifs $(PARTS)
	rm -rf zmanual
	TZ=UTC date > z-datetime.txt
	echo "HTML" > z-what.txt
	echo '<!ENTITY GEXT "gif">' > z-gext.txt
	make z-version.txt
	make index-html
	./db2html -c ${OJCAT} -d `/bin/pwd`/'zmanual.dsl#html' zmanual.sgml
	cp -p *.gif zmanual/
	cp zmanual.css2 zmanual/zmanual.css
	cd zmanual; ../html-post-fixup.sh *.html

HTML.index:
	touch genindex.sgm
	./db2html -c ${OJCAT} -d `/bin/pwd`/'zmanual.dsl#html' -V html-index zmanual.sgml
	mv zmanual/HTML.index .

genindex.sgm index-html index-dvi index-pdf: HTML.index
	collateindex.pl -d zman-index.html -f -g -i document-index -t Index -o genindex.sgm HTML.index

zmanual.ps: zmanual.dvi $(FIGEPS)
	dvips -ta4 -ozmanual.ps zmanual.dvi

zmanual.dvi: $(PARTS) $(FIGEPS) zmanual.sgml
	TZ=UTC date > z-datetime.txt
	echo "PostScript" > z-what.txt
	echo '<!ENTITY GEXT "eps">' > z-gext.txt
	make z-version.txt
	make index-dvi
	db2dvi -c ${OJCAT} -d `/bin/pwd`/'zmanual.dsl#print' zmanual.sgml

zmanual.pdf: $(PARTS) $(FIGPDF) zmanual.sgml
	TZ=UTC date > z-datetime.txt
	echo "PDF" > z-what.txt
	echo '<!ENTITY GEXT "pdf">' > z-gext.txt
	make z-version.txt
	make index-pdf
	db2pdf -c ${OJCAT} -d `/bin/pwd`/'zmanual.dsl#pdf'  zmanual.sgml


distclean clean:
	# Leave "zmanual.ps" in place, if it exists
	rm -f *~ *.html *.eps *.gif *.bak *.dvi *.toc *.lof *.pdf *.ps
	rm -f *.css *.aux *.ptr *.old *.ilg *.gls *.cb *.glo *.log
	rm -rf l2h[1-9][0-9]* *sections.pl *internals.pl #*index.pl
	rm -f *contents.pl *.ind *.idx *images.pl *table.pl
	rm -f [A-Z]*images.* *labels.pl *figure.pl IMG_PAR*
	rm -f TEXENV *.ps.gz *.xbm *.png
	rm -f *.gif-green z-datetime.txt
	rm -rf zmanual



%.gif: %.ps
	rm -f $@.ppm
	ghostscript -dNOPAUSE -sPAPERSIZE=a3 -sDEVICE=ppm -sOutputFile=$@.ppm $^ -c quit
	if [ ! -f $@.ppm ] ; then exit 1 ;fi # No file, abort!
	pnmcrop < $@.ppm | ppmtogif -transparent white > $@
	rm -f $@.ppm

%.gif-green: %.ps
	rm -f $@.ppm
	ghostscript -dNOPAUSE -sPAPERSIZE=a3 -sDEVICE=ppm -sOutputFile=$@.ppm $^ -c quit
	if [ ! -f $@.ppm ] ; then exit 1 ;fi # No file, abort!
	pnmcrop < $@.ppm | ppmtogif -transparent green > $@
	rm -f $@.ppm

%.ps: %.fig
	fig2dev -Lps -c -p x -z A3 -m 1.0000 -x 0 -y 0 -n $@ $< $@

zmailer-logo.eps: zmailer-logo.fig
	fig2dev -Leps -c -p x -z A3 -m 1.0000 -x 0 -y 0 -n $@ $< $@

%.eps: %.fig
	fig2dev -Leps -c -p x -z A3 -m 0.5000 -x 0 -y 0 -n $@ $< $@

%.pdf: %.eps
	: epstopdf $<
	sh ./eps2epdf $< $@


$(FIG_PS): $(FIGS)
$(FIGEPS): $(FIGS)
$(FIGPDF): $(FIGS)

manual_parts.tar.gz: manual_parts.tar

manual_parts.tar: Makefile $(PARTS) $(FIGS)
	tar -cf manual_parts.tar Makefile $(PARTS) $(FIGS)
	gzip -c manual_parts.tar > manual_parts.tar.gz


index:	html ps pdf
	gzip -9 < zmanual.ps > zmanual/zmanual.ps.gz
	cd zmanual ; ../makeindex.sh > index.html

=== packaging/solaris/Makefile ===
#
# Helpfull automation for installable package version of ZMailer at Solaris
#

srcdir = .



VERSION = ZMailer-2.99.55-solaris

TOPDIR  =  ../..
ZCONFIG = /opt/mail/zmailer.conf
ZCONF   = $(TOPDIR)/zmailer.Config
#ZDEPEND = Dependencies
CPPDEP  =  gcc -MM
MKDIR   =  mkdir -p
RMAILPATH=	/bin/rmail
SENDMAILPATH=	/usr/sbin/sendmail

SHELL = /bin/sh

SUFF   =
DESTDIR = /

all:
	@echo "make clean | distclean"
	@echo "make pkgs DESTDIR=/dir/prefix (SUFF='suff')"
	@echo "  (Length of 'suff' must not exceed 4 chars.)"

clean:
	rm -f *~ proto proto01 proto02 pkginfo

distclean:
	rm -f Makefile

pkgs:	pkgs-01 pkgs-02

pkgs-01:	# DIRECTORIES, BINARIES
	. $(ZCONF) ; \
	(echo "i pkginfo=pkginfo1"; \
	 echo "s none usr/bin/mailq=$$MAILBIN/sendmail" ; \
	 cd $(DESTDIR)/; ( \
	 echo .$$ZCONFIG ; \
	 po=`echo $$POSTOFFICE|sed -e 's!^/!!'`;find $$po -type d -print ; \
	 ms=`echo $$MAILSHARE|sed -e 's!^/!!'`;find $$ms -name ChangeLog -print ; \
	 ms=`echo $$MAILSHARE|sed -e 's!^/!!'`;find $$ms -name config.status -print ; \
	 ms=`echo $$MAILSHARE|sed -e 's!^/!!'`;find $$ms -type d -print ; \
	 mv=`echo $$MAILVAR|sed -e 's!^/!!'`;find $$mv/db -type d -print ; \
	 mb=`echo $$MAILBIN|sed -e 's!^/!!'`;find $$mb -type d -print ; \
	 mb=`echo $$MAILBIN|sed -e 's!^/!!'`;find $$mb '(' -type f -o -type l ')' -print ; \
	 find usr/share/man '(' -type f -o -type l ')' -print ; \
	 ld=`echo $$LOGDIR|sed -e 's!^/!!'`;find $$ld -type d -print ; \
	 find usr/man -type f -print ; \
	 echo "bin/vacation" ; \
	 echo $(RMAILPATH)|sed -e 's!^/!!' ; \
	 echo $(SENDMAILPATH)|sed -e 's!^/!!' ; \
	  ) \
		| sort | uniq | pkgproto )  \
		> proto1
	cat ${srcdir}/pkginfo-01.src | \
		sed -e "s/%VERSION%/$(VERSION)/g" \
		    -e "s/%SUFF%/${SUFF}/g" \
		> pkginfo1
	rm -rf ZMTA1${SUFF}
	pkgmk -o -f proto1 -b $(DESTDIR) -d `/bin/pwd`
	pkgtrans -os `/bin/pwd` `/bin/pwd`/ZMTA1${SUFF}.pkg ZMTA1${SUFF}

pkgs-02:	# CONFIGURATION FILES, FORMS, ...
	. $(ZCONF) ; \
	(echo "i pkginfo=pkginfo2"; \
	 cd $(DESTDIR)/; ( \
	 ms=`echo $$MAILSHARE|sed -e 's!^/!!'`;find $$ms/cf -name \*.cf -print ; \
	 ms=`echo $$MAILSHARE|sed -e 's!^/!!'`;find $$ms/guides -type f -print ; \
	 ms=`echo $$MAILSHARE|sed -e 's!^/!!'`;find $$ms/forms -type f -print ; \
	 ms=`echo $$MAILSHARE|sed -e 's!^/!!'`;find $$ms/proto -type f -print ; \
	 mv=`echo $$MAILVAR|sed -e 's!^/!!'`;find $$mv/db -type f -print ; \
	  ) \
		| sort | uniq | pkgproto )  \
		> proto2
	cat ${srcdir}/pkginfo-02.src | \
		sed -e "s/%VERSION%/$(VERSION)/g" \
		    -e "s/%SUFF%/${SUFF}/g" \
		> pkginfo2
	rm -rf ZMTA2${SUFF}
	pkgmk -o -f proto2 -b $(DESTDIR) -d `/bin/pwd`
	pkgtrans -os `/bin/pwd` `/bin/pwd`/ZMTA2${SUFF}.pkg ZMTA2${SUFF}

=== debian/changelog ===
zmailer-ssl (2.99.57.pre3-2) unstable; urgency=low

  * New upstream release with extended Perl support.

 -- Daniel Kiper <dkiper@netspace.com.pl>  Tue, 1 Aug 2006 13:03:01 +0100

zmailer-ssl (2.99.57.pre3-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Kiper <dkiper@netspace.com.pl>  Fri, 3 Feb 2006 15:34:47 +0100

zmailer-ssl (2.99.55-3) unstable; urgency=low
  
  * Added ed to build-depends. (closes: #117620)
 
 -- Hector Garcia <hector@debian.org>  Wed, 7 Nov 2001 23:35:42 +0100

zmailer-ssl (2.99.55-2) unstable; urgency=low

  * Making symlinks at postinst instead of being part of the package to avoid
    overwrite user config files.
  * Copying /etc/zmailer/cf/proto/* into /etc/zmailer/cf/ because without it
    router process doesn't work at all.
  * Fixed some bugs on init.d and cron.d
  * Fixed two bugs in build-depends (versioned ccp and missing libssl-dev).
    (closes: #115418)

 -- Hector Garcia <hector@debian.org>  Fri, 28 Oct 2001 00:35:42 +0100
  

zmailer-ssl (2.99.55-1) unstable; urgency=low

  * New upstream release.
  * Adopted package (closes: #104513)
  * Package now uses DH_COMPAT=3 so conffiles file is added by debhelper. 
  
 -- Hector Garcia <hector@debian.org>  Wed, 19 Sep 2001 22:35:42 +0100

zmailer-ssl (2.99.51.52pre3-2) unstable; urgency=low

  * Fixes in the /etc/init.d script (testing for files and directories)

 -- Remco van de Meent <remco@debian.org>  Sun, 31 Oct 1999 17:36:29 +0100

zmailer-ssl (2.99.51.52pre3-1) unstable; urgency=low

  * New upstream Release.
  * Upgraded to Standards-Version: 3.0.1.1
  * Removed dependancy for lynx
  * Fixed /etc/init.d script problem, closes Bug#44582

 -- Remco van de Meent <remco@debian.org>  Sat, 30 Oct 1999 19:52:08 +0200

zmailer-ssl (2.99.50.s19-2) unstable; urgency=low

  * Split up the package into zmailer and zmailer-ssl
  * Updated Standards-Version to 2.5.1.0

 -- Remco van de Meent <remco@debian.org>  Mon, 19 Jul 1999 10:44:52 +0200

zmailer (2.99.50.s19-1) unstable; urgency=low

  * New upstream release
  * Applied patch zmailer-2.99.50s19.patch1 from upstream
  * From now on ZMailer is being distributed from non-US because of
    cryptographic routines in the upstream source
  * Added dependency on lynx, because of the policy-builder.sh script,
    closes: Bug#41210
  * Added numerous files to debian/conffiles to prevent unexpected
    overriding of files a user may have edited, closes: Bug#41145
  * Upgraded to Standards-Version 2.5.0.0

 -- Remco van de Meent <remco@debian.org>  Sun, 18 Jul 1999 15:20:02 +0200

zmailer (2.99.50.s17-1) unstable; urgency=high

  * New upstream release
  * SECURITY FIX !! Quote from upstream: 
        There is a SECURITY FAULT in all ZMailer smtpservers that allow
        running router in interactive mode to assist/do address analysis
        with user inputs.  This fault exists in *ALL* versions of ZMailer
        previous to this one! (even 2.2.1 !)

 -- Remco van de Meent <remco@debian.org>  Tue, 11 May 1999 06:46:18 +0200

zmailer (2.99.50.s15-3) unstable; urgency=low

  * Tiny bugfix relating to statbuf.f_frsize in smtpserver/fdstatfs.c,
    thanks to Daniel Podlejski <underley@underley.eu.org>

 -- Remco van de Meent <remco@debian.org>  Thu,  6 May 1999 13:53:27 +0200

zmailer (2.99.50.s15-2) unstable; urgency=low

  * Applied zmailer-2.99.50s15.patch1

 -- Remco van de Meent <remco@debian.org>  Sat,  1 May 1999 20:41:51 +0200

zmailer (2.99.50.s15-1) unstable; urgency=low

  * New upstream release

 -- Remco van de Meent <remco@debian.org>  Mon, 19 Apr 1999 14:38:58 +0200

zmailer (2.99.50.s14-1) unstable; urgency=low

  * New upstream release
  * Little changes in the configuration stuff

 -- Remco van de Meent <remco@debian.org>  Tue,  6 Apr 1999 09:47:27 +0200

zmailer (2.99.50.s11-3) unstable; urgency=low

  * Recompile for libc6 2.1
  * Minor cleanups

 -- Remco van de Meent <remco@debian.org>  Sun, 21 Mar 1999 15:42:51 +0100

zmailer (2.99.50.s11-2) unstable; urgency=low

  * Patched lib/selfaddrs.c on request of Roman Hodek, closes Bug#33601
  * Fixed init.d script, so it wont output when certain directories dont
    exist, closes Bug#27194

 -- Remco van de Meent <remco@debian.org>  Fri, 19 Feb 1999 15:45:58 +0100

zmailer (2.99.50.s11-1) unstable; urgency=low

  * Added a reworked zmailstats script
  * Location of perl corrected to Debian standards.
  * Added a note on using the MAPS RBL in ZMailer to README.Debian, closes #18425
  * Added a note on local delivery by procmail to README.Debian, closes #16641
  * New maintainer, package resurrected, restarting from a brand new source
    tree. Old changelog included in /usr/doc/zmailer. The patches that came
    in the .diff.gz with the old Debian zmailer package ain't relevant
    anymore.

 -- Remco van de Meent <remco@debian.org>  Tue,  2 Feb 1999 19:54:20 +0100

=== debian/control ===
Source: zmailer-ssl
Section: mail
Maintainer: Daniel Kiper <dkiper@netspace.com.pl>
Build-Depends: binutils, cpp, debhelper, ed, libdb3-dev, libgdbmg1-dev, libpam0g-dev, libperl-dev, libspf2-dev, libsrs2-dev, libssl-dev, libwrap0-dev, locales
Standards-Version: 3.2.1
Priority: extra

Package: zmailer-ssl
Architecture: any
Depends: ${shlibs:Depends}, netbase
Provides: mail-transport-agent
Suggests: mail-reader, metamail
Conflicts: mail-transport-agent
Description: Mailer for Extreme Performance Demands
 This is a package that implements an internet Message Transfer Agent
 called ZMailer.  It is intended for gateways or mail servers or other
 large site environments that have extreme demands on the abilities of
 the mailer.  It was motivated by the problems of the Sendmail design
 in such situations. ZMailer is one of the mailers able to deal with
 huge quantities of mail and is more efficient any other mailer, qmail
 included, mostly due to its excellent queueing algorithms.
 .
 This package uses OpenSSL to enable encryption over the SMTP channel. For
 a zmailer package without this feature, go to the main archive.
 .
 Most users don't need this package -- for most users, sendmail or exim or
 smail will suffice.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# [ Modified - 06/07/2006 ]
#

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir

	CC=cc CFLAGS=-O2 ./configure --prefix=/usr/lib/zmailer \
		--with-postoffice=/var/spool/postoffice \
		--with-system-malloc \
		--with-mailshare=/etc/zmailer \
		--with-mailvar=/etc/zmailer \
		--with-zconfig=/etc/zmailer/zmailer.conf \
		--with-mailbin=/usr/lib/zmailer \
		--includedir=/usr/lib/zmailer \
		--with-sendmailpath=/usr/sbin/sendmail \
		--with-logdir=/var/log/zmailer \
		--with-rmailpath=/usr/sbin/rmail \
		--with-openssl-include=/usr/include/openssl \
		--with-openssl-lib=/usr/lib \
		--with-embed-perl \
		--with-spf \
		--with-srs

	# Add here commands to compile the package.
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	rm -f config.status

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/zmailer-ssl.
	$(MAKE) install DESTDIR=`pwd`/debian/zmailer-ssl

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
	dh_undocumented newfqdnaliases.1
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms

	rm -f debian/zmailer-ssl/etc/zmailer/ChangeLog
	rm -f debian/zmailer-ssl/etc/zmailer/config.status

	(cd debian/zmailer-ssl/usr/sbin && rm -f rmail ; \
		ln -s ../lib/zmailer/rmail)
	(cd debian/zmailer-ssl/usr/sbin && rm -f sendmail ; \
		ln -s ../lib/zmailer/sendmail)
	(cd debian/zmailer-ssl/usr/bin && rm -f newaliases ; \
		ln -s ../lib/zmailer/newaliases)
	(cd debian/zmailer-ssl/usr/bin && rm -f mailq ; \
		ln -s ../lib/zmailer/mailq)
	(cd debian/zmailer-ssl/usr/bin && rm -f vacation ; \
		ln -s ../lib/zmailer/vacation.sh vacation)
	(cd debian/zmailer-ssl/etc/zmailer/cf/ && cp proto/* ./)

	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
